Мазмұнға өту

GPT-Image 1.5

Интеграциялау

Модель идентификаторы gpt-image-1.5
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1.5?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Мысалдағыдай файлдар: 0,134 $ 134 API кредиті файлдарыңыз іске қосу алдында өлшенеді Осы бетте іске қосу

API кілтін алу
OpenAI Мәтіннен кескінге #openai#gpt-image

Әдепкіде жоғары сапаны қолданатын, 32000 таңбаға дейінгі нұсқаулары бар 1.5 нұсқалы мәтіннен кескін моделі

OpenAI · Кескін

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті 88 / 32000

Кескіндер жасауға арналған нұсқау.

image_size әдепкі 1024x1024

Нәтижелік кескіннің кадр пішімі.

quality әдепкі high

Нәтижелік кескіннің сапасы.

num_images әдепкі 1

Жасалатын кескіндер саны.

Қосымша background · output_format
background әдепкі auto

Нәтижелік кескіннің фоны.

output_format әдепкі png

Шығыс кескіндерінің файл пішімі.

POST /run/gpt-image-1.5?wait=20 бағасы → 0,134 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1.5?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

GPT-Image 1.5 туралы

32000 таңбаға дейінгі ұзын нұсқаулардан кескіндер генерациялайды. Өлшемдері 1024x1024, 1536x1024 және 1024x1536; сапасы low, medium немесе high (әдепкі high). Мөлдір немесе мөлдір емес фонды, бір шақыруға 4 кескінге дейінгі нәтижені және png, jpeg немесе webp шығысын қолдайды.

Параметрлер

Канондық атауды немесе төл атауды жіберіңіз, екеуін қатар жібермеңіз. Канондық атаулар

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
promptміндетті
Түріstring
≤ 32 000 таңба≥ 2 таңба
Кескіндер жасауға арналған нұсқау.
image_sizeміндетті емес
Түріenum
Әдепкі1024x1024
1024x10241536x10241024x1536
Нәтижелік кескіннің кадр пішімі.
backgroundміндетті емес
Түріenum
Әдепкіauto
autotransparentopaque
Нәтижелік кескіннің фоны.
qualityміндетті емес
Түріenum
Әдепкіhigh
lowmediumhigh
Нәтижелік кескіннің сапасы.
num_imagesміндетті емес num_outputs
Түріinteger
Әдепкі1
1 – 4
Жасалатын кескіндер саны.
output_formatміндетті емес
Түріenum
Әдепкіpng
jpegpngwebp
Шығыс кескіндерінің файл пішімі.
міндетті Канондық атау, бұл да қабылданады

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gpt-image-1.5",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 134,
    "usd": "0.134",
    "charged": 134,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
images
array of object {url, content_type, file_name, file_size, width, height}Модель жасаған кескіндер.

Қосымша модельдер: Мәтіннен кескінге

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/gpt-image-1.5.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt